| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::detail::RotationWarperBase< P > Class Template Reference
Images stitching » Images Warping

Base class for rotation-based warper using a detail::ProjectorBase_ derived class. More...

`#include <opencv2/stitching/detail/warpers.hpp>`

Inheritance diagram for cv::detail::RotationWarperBase< P >:

## Public Member Functions
Rect | buildMaps (Size src_size, InputArray K, InputArray R, OutputArray xmap, OutputArray ymap) CV_OVERRIDE
| Builds the projection maps according to the given camera data. More...
float | getScale () const CV_OVERRIDE
void | setScale (float val) CV_OVERRIDE
Point | warp (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, OutputArray dst) CV_OVERRIDE
| Projects the image. More...
void | warpBackward (InputArray src, InputArray K, InputArray R, int interp_mode, int border_mode, Size dst_size, OutputArray dst) CV_OVERRIDE
| Projects the image backward. More...
Point2f | warpPoint (const Point2f &pt, InputArray K, InputArray R) CV_OVERRIDE
| Projects the image point. More...
Rect | warpRoi (Size src_size, InputArray K, InputArray R) CV_OVERRIDE
Public Member Functions inherited from cv::detail::RotationWarper
virtual | ~RotationWarper ()

## Protected Member Functions
virtual void | detectResultRoi (Size src_size, Point &dst_tl, Point &dst_br)
void | detectResultRoiByBorder (Size src_size, Point &dst_tl, Point &dst_br)

## Protected Attributes
P | projector_

## Detailed Description

### template<class P>
class cv::detail::RotationWarperBase< P >

Base class for rotation-based warper using a detail::ProjectorBase_ derived class.

## Member Function Documentation

## ◆ buildMaps()

template<class P>

Rect cv::detail::RotationWarperBase< P >::buildMaps | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R,
|  | OutputArray | xmap,
|  | OutputArray | ymap
| ) |  |
| virtual

Builds the projection maps according to the given camera data.

Parameters

  src_size | Source image size
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  xmap | Projection map for the x axis
  ymap | Projection map for the y axis

Returns
  Projected image minimum bounding box

Implements cv::detail::RotationWarper.

## ◆ detectResultRoi()

template<class P>

virtual void cv::detail::RotationWarperBase< P >::detectResultRoi | ( | Size | src_size,
|  | Point & | dst_tl,
|  | Point & | dst_br
| ) |  |
| protected virtual

Reimplemented in cv::detail::PlanePortraitWarper, cv::detail::CylindricalPortraitWarper, cv::detail::SphericalPortraitWarper, cv::detail::CylindricalWarper, cv::detail::SphericalWarper, and cv::detail::PlaneWarper.

## ◆ detectResultRoiByBorder()

template<class P>

void cv::detail::RotationWarperBase< P >::detectResultRoiByBorder | ( | Size | src_size,
|  | Point & | dst_tl,
|  | Point & | dst_br
| ) |  |
| protected

## ◆ getScale()

template<class P>

float cv::detail::RotationWarperBase< P >::getScale | ( |  | ) | const
| inline virtual

Reimplemented from cv::detail::RotationWarper.

## ◆ setScale()

template<class P>

void cv::detail::RotationWarperBase< P >::setScale | ( | float | val | ) |
| inline virtual

Reimplemented from cv::detail::RotationWarper.

## ◆ warp()

template<class P>

Point cv::detail::RotationWarperBase< P >::warp | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | OutputArray | dst
| ) |  |
| virtual

Projects the image.

Parameters

  src | Source image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst | Projected image

Returns
  Project image top-left corner

Implements cv::detail::RotationWarper.

## ◆ warpBackward()

template<class P>

void cv::detail::RotationWarperBase< P >::warpBackward | ( | InputArray | src,
|  | InputArray | K,
|  | InputArray | R,
|  | int | interp_mode,
|  | int | border_mode,
|  | Size | dst_size,
|  | OutputArray | dst
| ) |  |
| virtual

Projects the image backward.

Parameters

  src | Projected image
  K | Camera intrinsic parameters
  R | Camera rotation matrix
  interp_mode | Interpolation mode
  border_mode | Border extrapolation mode
  dst_size | Backward-projected image size
  dst | Backward-projected image

Implements cv::detail::RotationWarper.

## ◆ warpPoint()

template<class P>

Point2f cv::detail::RotationWarperBase< P >::warpPoint | ( | const Point2f & | pt,
|  | InputArray | K,
|  | InputArray | R
| ) |  |
| virtual

Projects the image point.

Parameters

  pt | Source point
  K | Camera intrinsic parameters
  R | Camera rotation matrix

Returns
  Projected point

Implements cv::detail::RotationWarper.

## ◆ warpRoi()

template<class P>

Rect cv::detail::RotationWarperBase< P >::warpRoi | ( | Size | src_size,
|  | InputArray | K,
|  | InputArray | R
| ) |  |
| virtual

Parameters

  src_size | Source image bounding box
  K | Camera intrinsic parameters
  R | Camera rotation matrix

Returns
  Projected image minimum bounding box

Implements cv::detail::RotationWarper.

## Member Data Documentation

## ◆ projector_

template<class P>

P cv::detail::RotationWarperBase< P >::projector_
| protected

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/warpers.hpp